// (c) Copyright 2012 Cloudera, Inc. All rights reserved.
define([
	"cloudera/chart/lang/en",
	"cloudera/chart/lang/en_GB",
	"cloudera/chart/lang/de",
	"cloudera/chart/lang/es",
	"cloudera/chart/lang/fr",
	"cloudera/chart/lang/it",
	"cloudera/chart/lang/pt",
	"cloudera/chart/lang/ja",
	"cloudera/chart/lang/ko",
	"cloudera/chart/lang/zh_CN",
	"cloudera/chart/lang/zh_TW"
], function (en, enGB, de, es, fr, it, pt, ja, ko, zhCN, zhTW) {
	var result = {
		"en": en,
		"en_GB": enGB,
		"de": de,
		"es": es,
		"fr": fr,
		"it": it,
		"pt": pt,
		"ja": ja,
		"ko": ko,
		"zh_CN": zhCN,
		"zh_TW": zhTW,
		"getLocale": function(lang) {
			if (!lang) {
				return this.en;
			} else if (this[lang] !== undefined) {
				return this[lang];
			} else if (lang.indexOf("_") !== -1) {
				var part1 = lang.split("_")[0];
				if (this[part1] !== undefined) {
					// country code found.
					// e.g. fr_CA would go to fr for now.
					return this[part1];
				} else {
					// default to English.
					return this.en;
				}
			} else {
				return this.en;
			}
		}
	};

	return result;
});
