// (c) Copyright 2012 Cloudera, Inc. All rights reserved.
define([
	"cloudera/common/AutoRefreshableCounter"
], function(AutoRefreshableCounter) {

	describe("AutoRefreshableCounter Tests", function() {
		it("should auto refresh the counter", function() {
			var $elem = $("<div>")
				.attr("data-update-delay", 100)
				.attr("data-update-href", "dontcareUrl");

			var value = 100;
			var fakeData = {
				data: value
			};
			var fakeUrl;

			spyOn($, "ajax").andCallFake(function(params) {
				fakeUrl = params.url;
				params.success(fakeData);
			});

			$elem.AutoRefreshableCounter('update');

			expect(fakeUrl).toEqual("dontcareUrl");
			expect($elem.html()).toEqual('<span class="label label-important">' + value + '</span>');
		});
	});
});
